//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
// -*- C++ -*-
// AID-GENERATED
// =========================================================================
// This class was generated by AID - Abstract Interface Definition          
// DO NOT MODIFY, but use the org.freehep.aid.Aid utility to regenerate it. 
// =========================================================================
#ifndef HEPREP_HEPREPITERATOR_H
#define HEPREP_HEPREPITERATOR_H 1

// Copyright 2000-2002, FreeHEP.

#include <string>

namespace HEPREP {

class HepRepAttValue;
class HepRepInstance;
class HepRepIteratorListener;

/**
 * HepRepIterator interface.
 *
 * @author Mark Donszelmann
 */
class HepRepIterator {

public: 
    /// Destructor.
    virtual ~HepRepIterator() { /* nop */; }

    /**
     * Signals if there is a next instance to iterate to.
     *
     * @return true if next() can be called.
     */
    virtual bool hasNext() = 0;

    /**
     * Returns next instance.
     *
     * @return next HepRepInstance.
     */
    virtual HepRepInstance * nextInstance() = 0;

    /**
     * Adds a listener to be informed about attribute changes while iterating.
     *
     * @param listener to be added.
     */
    virtual void addHepRepIteratorListener(HepRepIteratorListener * listener) = 0;

    /**
     * Removes a listener.
     *
     * @param listener to be removed.
     */
    virtual void removeHepRepIteratorListener(HepRepIteratorListener * listener) = 0;

    /**
     * Returns the attValue for key at the current point of iteration.
     *
     * @param key name of tye attribute to be looked up.
     * @return value associated to name at this point in the iteration.
     */
    virtual HepRepAttValue * getAttValue(std::string key) = 0;
}; // class
}; // namespace HEPREP
#endif /* ifndef HEPREP_HEPREPITERATOR_H */
